<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>goocanvasmm: Class Hierarchy</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">goocanvasmm
   &#160;<span id="projectnumber">1.90.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li class="current"><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Class Hierarchy</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">
<p><a href="hierarchy.html">Go to the textual class hierarchy</a></p>
</div><table border="0" cellspacing="10" cellpadding="0">
<tr><td><img src="inherit_graph_0.png" border="0" alt="" usemap="#Goocanvas_1_1Bounds"/>
<map name="Goocanvas_1_1Bounds" id="Goocanvas_1_1Bounds">
<area shape="rect" id="node1" href="classGoocanvas_1_1Bounds.html" title="Goocanvas::Bounds" alt="" coords="5,5,140,32"/></map>
</td></tr>
<tr><td><img src="inherit_graph_1.png" border="0" alt="" usemap="#Goocanvas_1_1LineDash"/>
<map name="Goocanvas_1_1LineDash" id="Goocanvas_1_1LineDash">
<area shape="rect" id="node1" href="classGoocanvas_1_1LineDash.html" title="Goocanvas::LineDash" alt="" coords="5,5,151,32"/></map>
</td></tr>
<tr><td><img src="inherit_graph_2.png" border="0" alt="" usemap="#Goocanvas_1_1Points"/>
<map name="Goocanvas_1_1Points" id="Goocanvas_1_1Points">
<area shape="rect" id="node1" href="classGoocanvas_1_1Points.html" title="Goocanvas::Points" alt="" coords="5,5,133,32"/></map>
</td></tr>
<tr><td><img src="inherit_graph_3.png" border="0" alt="" usemap="#sigc_1_1trackable"/>
<map name="sigc_1_1trackable" id="sigc_1_1trackable">
<area shape="rect" id="node2" doxygen="gtkmm-3.0.tag:http://library.gnome.org/devel/gtkmm/unstable/" href="http://library.gnome.org/devel/gtkmm/unstable/classGtk_1_1Widget.html" title="Gtk::Widget" alt="" coords="728,157,817,184"/><area shape="rect" id="node3" doxygen="gtkmm-3.0.tag:http://library.gnome.org/devel/gtkmm/unstable/" href="http://library.gnome.org/devel/gtkmm/unstable/classGtk_1_1Container.html" title="Gtk::Container" alt="" coords="951,5,1055,32"/><area shape="rect" id="node4" href="classGoocanvas_1_1Canvas.html" title="The main canvas widget, containing a number of canvas items. " alt="" coords="1149,5,1284,32"/><area shape="rect" id="node5" doxygen="libsigc++-2.0.tag:http://library.gnome.org/devel/libsigc++/unstable/" href="http://library.gnome.org/devel/libsigc++/unstable/structsigc_1_1trackable.html" title="sigc::trackable" alt="" coords="5,309,109,336"/><area shape="rect" id="node6" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1ObjectBase.html" title="Glib::ObjectBase" alt="" coords="157,309,276,336"/><area shape="rect" id="node7" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Interface.html" title="Glib::Interface" alt="" coords="324,360,427,387"/><area shape="rect" id="node32" doxygen="glibmm-2.4.tag:http://library.gnome.org/devel/glibmm/unstable/" href="http://library.gnome.org/devel/glibmm/unstable/classGlib_1_1Object.html" title="Glib::Object" alt="" coords="331,284,420,311"/><area shape="rect" id="node8" href="classGoocanvas_1_1Item.html" title="Goocanvas::Item" alt="" coords="492,385,611,412"/><area shape="rect" id="node20" href="classGoocanvas_1_1ItemModel.html" title="Goocanvas::ItemModel" alt="" coords="475,601,628,628"/><area shape="rect" id="node31" doxygen="gtkmm-3.0.tag:http://library.gnome.org/devel/gtkmm/unstable/" href="http://library.gnome.org/devel/gtkmm/unstable/classGtk_1_1Buildable.html" title="Gtk::Buildable" alt="" coords="500,335,603,361"/><area shape="rect" id="node9" href="classGoocanvas_1_1ItemSimple.html" title="Goocanvas::ItemSimple" alt="" coords="693,284,852,311"/><area shape="rect" id="node10" href="classGoocanvas_1_1Ellipse.html" title="Goocanvas::Ellipse" alt="" coords="939,56,1068,83"/><area shape="rect" id="node11" href="classGoocanvas_1_1Grid.html" title="Goocanvas::Grid" alt="" coords="945,107,1061,133"/><area shape="rect" id="node12" href="classGoocanvas_1_1Group.html" title="Goocanvas::Group" alt="" coords="940,157,1067,184"/><area shape="rect" id="node14" href="classGoocanvas_1_1Image.html" title="Goocanvas::Image" alt="" coords="939,208,1067,235"/><area shape="rect" id="node15" href="classGoocanvas_1_1Path.html" title="Goocanvas::Path" alt="" coords="944,259,1063,285"/><area shape="rect" id="node16" href="classGoocanvas_1_1Polyline.html" title="Goocanvas::Polyline" alt="" coords="935,309,1072,336"/><area shape="rect" id="node17" href="classGoocanvas_1_1Rect.html" title="Goocanvas::Rect" alt="" coords="944,360,1063,387"/><area shape="rect" id="node18" href="classGoocanvas_1_1Text.html" title="Goocanvas::Text" alt="" coords="945,411,1062,437"/><area shape="rect" id="node19" href="classGoocanvas_1_1Widget.html" title="Goocanvas::Widget" alt="" coords="937,461,1069,488"/><area shape="rect" id="node13" href="classGoocanvas_1_1Table.html" title="Goocanvas::Table" alt="" coords="1155,157,1279,184"/><area shape="rect" id="node21" href="classGoocanvas_1_1ItemModelSimple.html" title="Goocanvas::ItemModelSimple" alt="" coords="676,639,869,665"/><area shape="rect" id="node22" href="classGoocanvas_1_1EllipseModel.html" title="Goocanvas::EllipseModel" alt="" coords="921,715,1085,741"/><area shape="rect" id="node23" href="classGoocanvas_1_1GridModel.html" title="Goocanvas::GridModel" alt="" coords="928,765,1079,792"/><area shape="rect" id="node24" href="classGoocanvas_1_1GroupModel.html" title="Goocanvas::GroupModel" alt="" coords="922,816,1085,843"/><area shape="rect" id="node26" href="classGoocanvas_1_1ImageModel.html" title="Goocanvas::ImageModel" alt="" coords="922,867,1085,893"/><area shape="rect" id="node27" href="classGoocanvas_1_1PathModel.html" title="Goocanvas::PathModel" alt="" coords="926,512,1081,539"/><area shape="rect" id="node28" href="classGoocanvas_1_1PolylineModel.html" title="Goocanvas::PolylineModel" alt="" coords="917,563,1089,589"/><area shape="rect" id="node29" href="classGoocanvas_1_1RectModel.html" title="Goocanvas::RectModel" alt="" coords="926,613,1081,640"/><area shape="rect" id="node30" href="classGoocanvas_1_1TextModel.html" title="Goocanvas::TextModel" alt="" coords="927,664,1079,691"/><area shape="rect" id="node25" href="classGoocanvas_1_1TableModel.html" title="Goocanvas::TableModel" alt="" coords="1137,816,1296,843"/><area shape="rect" id="node33" href="classGoocanvas_1_1Style.html" title="Goocanvas::Style" alt="" coords="491,233,612,260"/><area shape="rect" id="node34" doxygen="gtkmm-3.0.tag:http://library.gnome.org/devel/gtkmm/unstable/" href="http://library.gnome.org/devel/gtkmm/unstable/classGtk_1_1Object.html" title="Gtk::Object" alt="" coords="508,183,595,209"/></map>
</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Sep 22 2015 13:04:00 for goocanvasmm by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.9.1
</small></address>
</body>
</html>
